Summary: Xbox/Xbox360 gamepad driver for Linux that works in userspace.
Summary(de): Xbox/Xbox360 Gamepad Treiber für Linux, der im Userspace arbeitet.
Name: xboxdrv
Version: 0.8.8
Release: %mkrel 1
Source0: http://pingus.seul.org/~grumbel/xboxdrv/%{name}-linux-%{version}.tar.xz
Source1: xboxdrv.init
License: GPLv3
Group: Development/Other
Url: http://pingus.seul.org/~grumbel/xboxdrv/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: lib64usb1.0-devel
BuildRequires: scons
BuildRequires: lib64udev0-devel
BuildRequires: lib64boost-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64dbus-1-devel
BuildRequires: lib64glib2.0-devel


%description
This is a Xbox/Xbox360 gamepad driver for Linux that works in userspace. It 
is an alternative to the xpad kernel driver and has support for Xbox1 gamepads, 
Xbox360 USB gamepads and Xbox360 wireless gamepads, both first and third party. 
The Xbox360 guitar and some Xbox1 dancemats might work too. The Xbox 360 racing 
wheel is not supported, but shouldn't be to hard to add if somebody is interested. 

%description -l de
Dies ist ein Xbox/Xbox360 Gamepad Treiber für Linux, der im Userspace arbeitet. Er 
ist eine Alternative zum xpad Kerneltreiber und unterstützt Xbox1 Gamepads, Xbox360 
USB Gamepads und Xbox360 Wireless Gamepads, beides vom Originalhersteller und von 
Dritten. Die Xbox360 Gitarre und einige Xbox1 Tanzmatten könnten ebenso funktionieren. 
Das Xbox360 Rennlenkrad wird nicht unterstützt, aber es sollte nicht so schwer sein die 
Unterstützung für interessierte hinzuzufügen.


%prep
%setup -q -n %{name}-linux-%{version}

%build
export PREFIX=/usr
%scons

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PREFIX=/usr

install -c -D -m 0750 %{SOURCE1} %{buildroot}%{_initrddir}/xboxdrv

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service xboxdrv

%preun
%_preun_service xboxdrv

%files
%defattr(-,root,root)
%doc AUTHORS VERSION COPYING NEWS PROTOCOL TODO
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}.1.bz2
%{_sysconfdir}/rc.d/init.d/%{name}


%changelog
* Fri Mar 03 2017 pp <pp> 0.8.8-1pclos2017
- update
- updated BR

* Sat Dec 07 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.8.5-1pclos2013
- 0.8.5
- initial package for pclos
